<html>
<head>
<title>OgreGLESRenderTexture.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_9e680f2cca56003d76c91ad8153c6d1e.html">GLES</a>      </li>
      <li class="navelem"><a class="el" href="dir_2b7861191a86db021136edf07f6d3897.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLESRenderTexture.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLESRenderTexture_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2008 Renato Araujo Oliveira Filho &lt;renatox@gmail.com&gt;</span>
<a name="l00008"></a>00008 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00011"></a>00011 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00012"></a>00012 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00013"></a>00013 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00014"></a>00014 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00015"></a>00015 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00016"></a>00016 <span class="comment"></span>
<a name="l00017"></a>00017 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00018"></a>00018 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00021"></a>00021 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00022"></a>00022 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00023"></a>00023 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00024"></a>00024 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00025"></a>00025 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00026"></a>00026 <span class="comment">THE SOFTWARE.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#ifndef __GLESRenderTexture_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define __GLESRenderTexture_H__</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESTexture_8h.html">OgreGLESTexture.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00036"></a>00036     <span class="keyword">class </span>GLESHardwarePixelBuffer;
<a name="l00037"></a>00037 
<a name="l00040"></a><a class="code" href="structOgre_1_1GLESSurfaceDesc.html">00040</a>     <span class="keyword">struct </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a>
<a name="l00041"></a>00041     {
<a name="l00042"></a>00042         <span class="keyword">public</span>:
<a name="l00043"></a><a class="code" href="structOgre_1_1GLESSurfaceDesc.html#ab71ab42ef58463af622cc62f394e5248">00043</a>             <a class="code" href="classOgre_1_1GLESHardwarePixelBuffer.html">GLESHardwarePixelBuffer</a> *<a class="code" href="structOgre_1_1GLESSurfaceDesc.html#ab71ab42ef58463af622cc62f394e5248">buffer</a>;
<a name="l00044"></a><a class="code" href="structOgre_1_1GLESSurfaceDesc.html#a53bf5310d4b33f84fa426a11600cef2e">00044</a>             <span class="keywordtype">size_t</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html#a53bf5310d4b33f84fa426a11600cef2e">zoffset</a>;
<a name="l00045"></a><a class="code" href="structOgre_1_1GLESSurfaceDesc.html#ae8593e7d6e7d72f029daa70424a9223f">00045</a>             <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html#ae8593e7d6e7d72f029daa70424a9223f">numSamples</a>;
<a name="l00046"></a>00046 
<a name="l00047"></a><a class="code" href="structOgre_1_1GLESSurfaceDesc.html#a01b84faff786373afb53db567c0ab176">00047</a>             <a class="code" href="structOgre_1_1GLESSurfaceDesc.html#a01b84faff786373afb53db567c0ab176">GLESSurfaceDesc</a>() :buffer(0), zoffset(0), numSamples(0) {}
<a name="l00048"></a>00048     };
<a name="l00049"></a>00049 
<a name="l00052"></a><a class="code" href="classOgre_1_1GLESRenderTexture.html">00052</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESRenderTexture.html" title="Base class for GL Render Textures.">GLESRenderTexture</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderTexture.html" title="This class represents a RenderTarget that renders to a Texture.">RenderTexture</a>
<a name="l00053"></a>00053     {
<a name="l00054"></a>00054         <span class="keyword">public</span>:
<a name="l00055"></a>00055             <a class="code" href="classOgre_1_1GLESRenderTexture.html" title="Base class for GL Render Textures.">GLESRenderTexture</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;target, <span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa);
<a name="l00056"></a>00056             <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1GLESRenderTexture.html" title="Base class for GL Render Textures.">GLESRenderTexture</a>();
<a name="l00057"></a><a class="code" href="classOgre_1_1GLESRenderTexture.html#a3edf7cd7c2011d8b7cd1b5e458978e2f">00057</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLESRenderTexture.html#a3edf7cd7c2011d8b7cd1b5e458978e2f">requiresTextureFlipping</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>; }
<a name="l00058"></a>00058     };
<a name="l00059"></a>00059 
<a name="l00062"></a><a class="code" href="classOgre_1_1GLESRTTManager.html">00062</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESRTTManager.html" title="Manager/factory for RenderTextures.">GLESRTTManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;GLESRTTManager&gt;
<a name="l00063"></a>00063     {
<a name="l00064"></a>00064         <span class="keyword">public</span>:
<a name="l00065"></a>00065             <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1GLESRTTManager.html" title="Manager/factory for RenderTextures.">GLESRTTManager</a>();
<a name="l00066"></a>00066 
<a name="l00069"></a>00069             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderTexture.html" title="This class represents a RenderTarget that renders to a Texture.">RenderTexture</a> *createRenderTexture(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;target, <span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa) = 0;
<a name="l00070"></a>00070 
<a name="l00073"></a>00073             <span class="keyword">virtual</span> <span class="keywordtype">bool</span> checkFormat(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format) = 0;
<a name="l00074"></a>00074 
<a name="l00077"></a>00077             <span class="keyword">virtual</span> <span class="keywordtype">void</span> bind(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target) = 0;
<a name="l00078"></a>00078 
<a name="l00083"></a>00083             <span class="keyword">virtual</span> <span class="keywordtype">void</span> unbind(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target) = 0;
<a name="l00084"></a>00084 
<a name="l00085"></a><a class="code" href="classOgre_1_1GLESRTTManager.html#a1c30ff0280997d6fe36ed30ff6dc8be6">00085</a>             <span class="keyword">virtual</span> <span class="keywordtype">void</span> getBestDepthStencil(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)
<a name="l00086"></a>00086             {
<a name="l00087"></a>00087                 *depthFormat = <a class="code" href="OgreGLESPrerequisites_8h.html#a089a3736e5280b9c7cc50129e2659974">GL_NONE</a>;
<a name="l00088"></a>00088                 *stencilFormat = <a class="code" href="OgreGLESPrerequisites_8h.html#a089a3736e5280b9c7cc50129e2659974">GL_NONE</a>;
<a name="l00089"></a>00089             }
<a name="l00090"></a>00090 
<a name="l00093"></a>00093             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1MultiRenderTarget.html" title="This class represents a render target that renders to multiple RenderTextures at once.">MultiRenderTarget</a>* createMultiRenderTarget(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name);
<a name="l00094"></a>00094 
<a name="l00097"></a>00097             <span class="keyword">virtual</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> getSupportedAlternative(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00098"></a>00098     };
<a name="l00099"></a>00099 
<a name="l00102"></a>00102     <span class="keyword">class </span>GLESCopyingRTTManager;
<a name="l00103"></a><a class="code" href="classOgre_1_1GLESCopyingRenderTexture.html">00103</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESCopyingRenderTexture.html">GLESCopyingRenderTexture</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1GLESRenderTexture.html" title="Base class for GL Render Textures.">GLESRenderTexture</a>
<a name="l00104"></a>00104     {
<a name="l00105"></a>00105         <span class="keyword">public</span>:
<a name="l00106"></a>00106             <a class="code" href="classOgre_1_1GLESCopyingRenderTexture.html">GLESCopyingRenderTexture</a>(<a class="code" href="classOgre_1_1GLESCopyingRTTManager.html" title="Simple, copying manager/factory for RenderTextures.">GLESCopyingRTTManager</a> *manager,
<a name="l00107"></a>00107                                    <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name,
<a name="l00108"></a>00108                                    <span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;target,
<a name="l00109"></a>00109                                    <span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa);
<a name="l00110"></a>00110 
<a name="l00111"></a>00111             <span class="keyword">virtual</span> <span class="keywordtype">void</span> getCustomAttribute(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData);
<a name="l00112"></a>00112     };
<a name="l00113"></a>00113 
<a name="l00117"></a><a class="code" href="classOgre_1_1GLESCopyingRTTManager.html">00117</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESCopyingRTTManager.html" title="Simple, copying manager/factory for RenderTextures.">GLESCopyingRTTManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1GLESRTTManager.html" title="Manager/factory for RenderTextures.">GLESRTTManager</a>
<a name="l00118"></a>00118     {
<a name="l00119"></a>00119         <span class="keyword">public</span>:
<a name="l00120"></a>00120             <a class="code" href="classOgre_1_1GLESCopyingRTTManager.html" title="Simple, copying manager/factory for RenderTextures.">GLESCopyingRTTManager</a>();
<a name="l00121"></a>00121             <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1GLESCopyingRTTManager.html" title="Simple, copying manager/factory for RenderTextures.">GLESCopyingRTTManager</a>();
<a name="l00122"></a>00122 
<a name="l00125"></a>00125             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderTexture.html" title="This class represents a RenderTarget that renders to a Texture.">RenderTexture</a> *createRenderTexture(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;target, <span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa);
<a name="l00126"></a>00126             
<a name="l00129"></a>00129             <span class="keyword">virtual</span> <span class="keywordtype">bool</span> checkFormat(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00130"></a>00130 
<a name="l00133"></a>00133             <span class="keyword">virtual</span> <span class="keywordtype">void</span> bind(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target);
<a name="l00134"></a>00134 
<a name="l00137"></a>00137             <span class="keyword">virtual</span> <span class="keywordtype">void</span> unbind(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target);
<a name="l00138"></a>00138     };
<a name="l00139"></a>00139 }
<a name="l00140"></a>00140 
<a name="l00141"></a>00141 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
